GET /files/{file_id}/content

box.com

Summary: Download file
Operation ID: get_files_id_content
Auth: unknown
Description

Returns the contents of a file in binary format.

Parameters (5)

access_token (string, query, optional)

An optional access token that can be used to pre-authenticate this request, which means that a download link can be shared with a browser or a third party service without them needing to know how to handle the authentication. When using this parameter, please make sure that the access token is sufficiently scoped down to only allow read access to that file and no other files or folders.

boxapi (string, header, optional)

The URL, and optional password, for the shared link of this item. This header can be used to access items that have not been explicitly shared with a user. Use the format `shared_link=[link]` or if a password is required then use `shared_link=[link]&shared_link_password=[password]`. This header can be used on the file or folder shared, as well as on any files or folders nested within the item.

file_id (string, path, required)

The unique identifier that represents a file. The ID for any file can be determined by visiting a file in the web application and copying the ID from the URL. For example, for the URL `https://*.app.box.com/files/123` the `file_id` is `123`.

range (string, header, optional)

The byte range of the content to download. The format `bytes={start_byte}-{end_byte}` can be used to specify what section of the file to download.

version (string, query, optional)

The file version to download

No probe data for this endpoint yet.